summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Maunz <andreas@maunz.de>2011-11-17 09:14:48 +0100
committerAndreas Maunz <andreas@maunz.de>2011-11-17 09:14:48 +0100
commit025e9ed0ef3aae6cfd0b0f3c2c2e122d50ac008d (patch)
treeaa058e2c08d78057f9f55e0e08a8a88a940638dc
parent5017e2f3b8865db62c2420cd0101426a46a8714f (diff)
Re-enabled OB_DONE, always using public checkout
-rwxr-xr-xopenbabel.sh22
-rwxr-xr-xopentox-webservices.sh6
2 files changed, 12 insertions, 16 deletions
diff --git a/openbabel.sh b/openbabel.sh
index 4b6cfc0..3d45f00 100755
--- a/openbabel.sh
+++ b/openbabel.sh
@@ -86,15 +86,15 @@ else
fi
fi
-#if ! $OB_DONE ; then
- OB_SRC_DIR="/tmp/$OB_VER/scripts/ruby/"
- cd "$OB_SRC_DIR"
- cmd="ruby extconf.rb --with-openbabel-include=$OB_DEST/include/openbabel-2.0 --with-openbabel-lib=$OB_DEST/lib" && run_cmd "$cmd" "Code"
- cmd="make" && run_cmd "$cmd" "Make"
- cmd="cp openbabel.so $OB_DEST_BINDINGS" && run_cmd "$cmd" "Install"
- cmd="ln -sf $OB_DEST_BINDINGS/openbabel.so $RUBY_DEST/lib/ruby/site_ruby/1.8/`uname -m`-linux/" && run_cmd "$cmd" "Link"
- cd "$DIR"
- . "`pwd`/utils.sh"
- cmd="ruby test-ob-rb.rb" && run_cmd "$cmd" "Load"
-#fi
+if ! $OB_DONE ; then
+ OB_SRC_DIR="/tmp/$OB_VER/scripts/ruby/"
+ cd "$OB_SRC_DIR"
+ cmd="ruby extconf.rb --with-openbabel-include=$OB_DEST/include/openbabel-2.0 --with-openbabel-lib=$OB_DEST/lib" && run_cmd "$cmd" "Code"
+ cmd="make" && run_cmd "$cmd" "Make"
+ cmd="cp openbabel.so $OB_DEST_BINDINGS" && run_cmd "$cmd" "Install"
+ cmd="ln -sf $OB_DEST_BINDINGS/openbabel.so $RUBY_DEST/lib/ruby/site_ruby/1.8/`uname -m`-linux/" && run_cmd "$cmd" "Link"
+ cd "$DIR"
+ . "`pwd`/utils.sh"
+ cmd="ruby test-ob-rb.rb" && run_cmd "$cmd" "Load"
+fi
diff --git a/opentox-webservices.sh b/opentox-webservices.sh
index ef98ded..c4fbd16 100755
--- a/opentox-webservices.sh
+++ b/opentox-webservices.sh
@@ -46,11 +46,7 @@ mkdir -p "$WWW_DEST/opentox" >>$LOG 2>&1
cd "$WWW_DEST/opentox" >>$LOG 2>&1
for s in compound dataset algorithm model toxcreate task validation; do
rm -rf "$s" >>$LOG 2>&1
- if [ "$OT_BRANCH" = "development" ] || expr match "$OT_BRANCH" "release"; then
- $GIT clone "git@github.com:opentox/$s.git" "$s" >>$LOG 2>&1
- else
- $GIT clone "git://github.com/opentox/$s.git" "$s" >>$LOG 2>&1
- fi
+ $GIT clone "git://github.com/opentox/$s.git" "$s" >>$LOG 2>&1
cd "$s" >>$LOG 2>&1
$GIT checkout -b $OT_BRANCH origin/$OT_BRANCH >>$LOG 2>&1
#rm -rf public >>$LOG 2>&1